package com.zbf.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper; //添加
import com.zbf.system.domain.TErrorLog;

/**
 * agv报警信息Mapper接口
 *
 * @author tony
 * @date 2024-06-17
 */
public interface TErrorLogMapper extends BaseMapper<TErrorLog> //修改
{
    /**
     * 查询agv报警信息
     *
     * @param id agv报警信息主键
     * @return agv报警信息
     */
    public TErrorLog selectTErrorLogById(Long id);

    /**
     * 查询agv报警信息列表
     *
     * @param tErrorLog agv报警信息
     * @return agv报警信息集合
     */
    public List<TErrorLog> selectTErrorLogList(TErrorLog tErrorLog);

    /**
     * 新增agv报警信息
     *
     * @param tErrorLog agv报警信息
     * @return 结果
     */
    public int insertTErrorLog(TErrorLog tErrorLog);

    /**
     * 修改agv报警信息
     *
     * @param tErrorLog agv报警信息
     * @return 结果
     */
    public int updateTErrorLog(TErrorLog tErrorLog);

    /**
     * 删除agv报警信息
     *
     * @param id agv报警信息主键
     * @return 结果
     */
    public int deleteTErrorLogById(Long id);

    /**
     * 批量删除agv报警信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTErrorLogByIds(Long[] ids);

    /**
     * 批量启用agv报警信息
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTErrorLogByIds(Long[] ids);

    /**
     * 批量禁用agv报警信息
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTErrorLogByIds(Long[] ids);

}
